Email, calendar & files · Calendar
Creates an event.
https://api.pozy.ai/v1/calendar/eventsGuides: Calendar, Email, calendar & files, Google Workspace
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the calendar resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
accountIdstringrequiredcalendarIdstringtitlestringUp to 1000 characters.
descriptionstringlocationstringstartstringendstringallDaybooleantimezonestringparticipantsarray of objectUp to 100 items.
emailstring (email)requirednamestringCan be null.
recurrencearray of stringUp to 5 items.
remindersobjectuseDefaultbooleanoverridesarray of objectUp to 5 items.
1 child field
minutesinteger
conferencingstringOne of
google_meet,teams.busybooleanvisibilitystringOne of
default,public,private.metadatamap of string
Example
curl -X POST "https://api.pozy.ai/v1/calendar/events" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"title": "Launch day",
"description": "A short description",
"location": "string"
}'const res = await fetch("https://api.pozy.ai/v1/calendar/events", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
title: "Launch day",
description: "A short description",
location: "string"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/calendar/events",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"title": "Launch day",
"description": "A short description",
"location": "string",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
dataobject26 child fields
idstringaccountIdstringproviderstringOne of
google,microsoft.calendarIdstringtitlestringdescriptionstringCan be null.
locationstringCan be null.
startstringendstringallDaybooleantimezonestringCan be null.
participantsarray of object4 child fields
emailstring (email)requirednamestringCan be null.
statusstringOne of
accepted,declined,tentative,pending.commentstringCan be null.
organizerobjectOne of:
Email Address (2 fields)
emailstring (email)requirednamestringCan be null.
recurrencearray of stringCan be null.
remindersobject2 child fields
useDefaultbooleanoverridesarray of object1 child field
minutesinteger
conferencingobjectCan be null.
2 child fields
providerstringOne of
google_meet,teams,other.urlstring (URL)
busybooleanvisibilitystringOne of
default,public,private.statusstringOne of
confirmed,tentative,cancelled.icalUidstringCan be null.
masterEventIdstringCan be null.
htmlLinkstringCan be null.
readOnlybooleanmetadatamap of stringcreatedAtstring (date-time)Can be null.
updatedAtstring (date-time)Can be null.
{
"data": {
"id": "6bfebd43ddc270f6d2c56fc5",
"accountId": "696e0b682d0a31188e7a2ba9",
"provider": "google",
"calendarId": "62fb57b5bc06db0fb2aad799",
"title": "Launch day",
"description": "A short description",
"location": "string",
"start": "string",
"end": "string",
"allDay": true,
"timezone": "America/New_York",
"participants": [
{
"email": "alex@example.com",
"name": "Acme",
"status": "accepted",
"comment": "string"
}
],
"organizer": {
"email": "alex@example.com",
"name": "Acme"
},
"recurrence": [
"string"
],
"reminders": {
"useDefault": true,
"overrides": [
{
"minutes": 1
}
]
},
"conferencing": {
"provider": "google_meet",
"url": "https://pozy.ai/media/example-1.jpg"
},
"busy": true,
"visibility": "default",
"status": "confirmed",
"icalUid": "631069e90faa4f2a4fcda778",
"masterEventId": "6de182ae3f76a86213b04d77",
"htmlLink": "string",
"readOnly": true,
"metadata": {
"key": "string"
},
"createdAt": "2026-10-02T09:00:00.000Z",
"updatedAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.